Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify.tui
Class Vectors2FeatureConstraints

    java.lang.Object
      cc.mallet.classify.tui.Vectors2FeatureConstraints

    public class Vectors2FeatureConstraints

extends java.lang.Object

Create "feature constraints" from data for use in GE training.

Author:
  Gregory Druck gdruck@cs.umass.edu

Field Summary
`static CommandOption.File` | `constraintsFile`
`static CommandOption.String` | `featureSelection`
`static CommandOption.File` | `featuresFile`
`static CommandOption.File` | `ldaFile`
`static CommandOption.Double` | `majorityProb`
`static CommandOption.Integer` | `numConstraints`
`static CommandOption.String` | `targets`
`static CommandOption.File` | `vectorsFile`

Constructor Summary
`Vectors2FeatureConstraints()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vectorsFile

    public static CommandOption.File vectorsFile

### constraintsFile

    public static CommandOption.File constraintsFile

### featuresFile

    public static CommandOption.File featuresFile

### ldaFile

    public static CommandOption.File ldaFile

### numConstraints

    public static CommandOption.Integer numConstraints

### featureSelection

    public static CommandOption.String featureSelection

### targets

    public static CommandOption.String targets

### majorityProb

    public static CommandOption.Double majorityProb

Constructor Detail

### Vectors2FeatureConstraints

    public Vectors2FeatureConstraints()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD